UnlimitedHugs.Rimworld.HugsLibChecker 5.0.0

This assembly is to be included with mods that make use of the HugsLib library. Ensures that HugsLib is loaded before your mod. Gives the player instructions if HugsLib is missing or mod order is improper. Can optionally enforce e minimum version of HugsLib to be present (see GitHub readme for instructions).

Additional Details

HugsLibChecker is no longer supported, nor required in Rimworld versions 1.1+
Dependencies between mods can now easily be achieved with appropriate tags in your About.xml file:
https://github.com/UnlimitedHugs/RimworldHugsLib/#dependency-tags

Install-Package UnlimitedHugs.Rimworld.HugsLibChecker -Version 5.0.0
dotnet add package UnlimitedHugs.Rimworld.HugsLibChecker --version 5.0.0
<PackageReference Include="UnlimitedHugs.Rimworld.HugsLibChecker" Version="5.0.0" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add UnlimitedHugs.Rimworld.HugsLibChecker --version 5.0.0
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Release Notes

5.0.0: Updated for Rimworld 1.0

Dependencies

This package has no dependencies.

GitHub repositories

This package is not used by any popular GitHub repositories.

Version History

Version Downloads Last updated
5.0.0 1,593 6/20/2018
4.0.0 473 12/30/2017
1.0.0 326 6/20/2018